This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 259781 - Multiple different specifications for /etc/asound\.state
Multiple different specifications for /etc/asound\.state
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.1
All All
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 08:01 EDT by Eduard Benes
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:41:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eduard Benes 2007-08-28 08:01:51 EDT
Description of problem:
After an upgrade from policy 83 (or 30) to 84 there is a problem with multiple 
different specifications for file /etc/asound\.state. This worked in RHEL 5 GA 
so this is considered a regression.

# rpm -Uvh selinux-policy-84/*
Preparing...                ########################################### [100%]
   1:selinux-policy         ########################################### [ 20%]
   2:selinux-policy-devel   ########################################### [ 40%]
   3:selinux-policy-mls     ########################################### [ 60%]
/etc/selinux/mls/contexts/files/file_contexts: Multiple different 
specifications for /etc/asound\.state  (system_u:object_r:etc_runtime_t:s0 and 
system_u
:object_r:alsa_etc_rw_t:s0).
   4:selinux-policy-strict  ########################################### [ 80%]
/etc/selinux/strict/contexts/files/file_contexts: Multiple different 
specifications for /etc/asound\.state  (system_u:object_r:etc_runtime_t:s0 and 
syste
m_u:object_r:alsa_etc_rw_t:s0).
   5:selinux-policy-targeted########################################### [100%]
/etc/selinux/targeted/contexts/files/file_contexts: Multiple different 
specifications for /etc/asound\.state  (system_u:object_r:etc_runtime_t:s0 and 
sys
tem_u:object_r:alsa_etc_rw_t:s0).
/etc/selinux/targeted/contexts/files/file_contexts: Multiple different 
specifications for /etc/asound\.state  (system_u:object_r:etc_runtime_t:s0 and 
sys
tem_u:object_r:alsa_etc_rw_t:s0).
/sbin/restorecon reset /etc/alsa/pcm context system_u:object_r:etc_t:s0-
>system_u:object_r:alsa_etc_rw_t:s0
 ...
/sbin/restorecon reset /sbin/alsactl context system_u:object_r:sbin_t:s0-
>system_u:object_r:alsa_exec_t:s0
/etc/selinux/targeted/contexts/files/file_contexts: Multiple different 
specifications for /etc/asound\.state  (system_u:object_r:etc_runtime_t:s0 and 
sys
tem_u:object_r:alsa_etc_rw_t:s0).

Checking the /etc/selinux/targeted/contexts/files/file_contexts confirms this:

# grep asound /etc/selinux/targeted/contexts/files/file_contexts
/etc/asound(/.*)?       system_u:object_r:alsa_etc_rw_t:s0
/etc/asound\.state      system_u:object_r:alsa_etc_rw_t:s0
/etc/asound\.state      --      system_u:object_r:etc_runtime_t:s0

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-84

How reproducible:
Always

Steps to reproduce:
1. Install selinux-policy-2.4.6-84
2. observe output similar to the one above
3. additionally you can relabel the system and reboot (touch /.autorelabel ; 
reboot) and observe similar message during the boot ...

There should be no multiple different specification for /etc/asound\.state
Comment 1 Daniel Walsh 2007-08-28 09:52:46 EDT
Fixed in selinux-policy-2.4.6-85
Comment 7 errata-xmlrpc 2007-11-07 11:41:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html

Note You need to log in before you can comment on or make changes to this bug.